import globals from "globals";
import pluginJs from "@eslint/js";
import tseslint from "typescript-eslint";

export default [
    {
        files: ["**/*.{js,mjs,cjs,ts}"]
    },
    {
        files: ["**/*.js"],
        languageOptions: { sourceType: "commonjs" }
    },
    {
        languageOptions: {
            globals: globals.node
        },
        rules: {
            "@typescript-eslint/no-var-requires": [
                "error",
                {
                    allow: ["fs"]
                }
            ]
        }
    },
    pluginJs.configs.recommended,
    ...tseslint.configs.recommended
];
